javax.media.j3d

## Class DepthComponentNative

- java.lang.Object
- - javax.media.j3d.SceneGraphObject
  - - javax.media.j3d.NodeComponent
    - - javax.media.j3d.DepthComponent
      - - javax.media.j3d.DepthComponentNative

    public class DepthComponentNative
    extends DepthComponent

A 2D array of depth (Z) values stored in the most efficient format for a particular device. Values are not accessible by the user and may only be used to read the Z values and subsequently write them back.

### Field Summary

### Fields inherited from class javax.media.j3d.DepthComponent

`ALLOW_DATA_READ, ALLOW_SIZE_READ`

### Constructor Summary

Constructors
Constructor and Description
`DepthComponentNative(int width, int height)` Constructs a new native depth (z-buffer) component object with the specified width and height.

### Method Summary

Methods
`NodeComponent` `cloneNodeComponent()` Creates a new DepthComponentNative object.

### Methods inherited from class javax.media.j3d.DepthComponent

`getHeight, getWidth`

### Methods inherited from class javax.media.j3d.NodeComponent

`cloneNodeComponent, duplicateNodeComponent, duplicateNodeComponent, getDuplicateOnCloneTree, setDuplicateOnCloneTree`

### Methods inherited from class javax.media.j3d.SceneGraphObject

`clearCapability, clearCapabilityIsFrequent, duplicateSceneGraphObject, getCapability, getCapabilityIsFrequent, getName, getUserData, isCompiled, isLive, setCapability, setCapabilityIsFrequent, setName, setUserData, toString, updateNodeReferences`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DepthComponentNative

    public DepthComponentNative(int width,
                        int height)

Constructs a new native depth (z-buffer) component object with the specified width and height.

Parameters:
  `width` - the width of the array of depth values
  `height` - the height of the array of depth values

### Method Detail

#### cloneNodeComponent

    public NodeComponent cloneNodeComponent()

Creates a new DepthComponentNative object. Called from a Leaf node's `duplicateNode` method.

Overrides:
  `cloneNodeComponent` in class `NodeComponent`
Returns:
  a duplicate of the DepthComponentNative object.
See Also:
  `Node.duplicateNode(javax.media.j3d.Node, boolean)`, `Node.cloneTree()`, `NodeComponent.setDuplicateOnCloneTree(boolean)`